Communication Service - Update

Mevcut bir CommunicationService'i güncelleştirme işlemi.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Communication/communicationServices/{communicationServiceName}?api-version=2020-08-20

URI Parametreleri

Name İçinde Gerekli Tür Description
communicationServiceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[-\w]+$

CommunicationService kaynağının adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.

subscriptionId
path True

string

minLength: 1

Hedef aboneliğin kimliği.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

İstek Gövdesi

Name Gerekli Tür Description
properties.dataLocation True

string

İletişim hizmetinin bekleyen verilerini depoladığı konum.

location

string

CommunicationService'in çalıştığı Azure konumu.

tags

object

Kaynağı açıklayan anahtar değer çiftlerinin listesi olan hizmetin etiketleri.

Yanıtlar

Name Tür Description
200 OK

CommunicationServiceResource

Güncelleştirme isteği başarılı oldu

Other Status Codes

ErrorResponse

İşlemin neden başarısız olduğunu açıklayan hata yanıtı.

Örnekler

Update resource

Örnek isteği

PATCH https://management.azure.com/subscriptions/12345/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2020-08-20

{
  "tags": {
    "newTag": "newVal"
  }
}

Örnek yanıt

{
  "id": "/subscriptions/12345/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "location": "Global",
  "tags": {
    "newTag": "newVal"
  },
  "properties": {
    "provisioningState": "Succeeded",
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communications.azure.com",
    "version": "0.2.0"
  }
}

Tanımlar

Name Description
CommunicationServiceResource

CommunicationService kaynağını temsil eden bir sınıf.

createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

ProvisioningState

Kaynağın sağlama durumu.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

CommunicationServiceResource

CommunicationService kaynağını temsil eden bir sınıf.

Name Tür Description
id

string

Kaynağın tam kaynak kimliği. Örn - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

CommunicationService'in çalıştığı Azure konumu.

name

string

Kaynağın adı

properties.dataLocation

string

İletişim hizmetinin bekleyen verilerini depoladığı konum.

properties.hostName

string

CommunicationService örneğinin FQDN'sini seçin.

properties.immutableResourceId

string

İletişim hizmetinin sabit kaynak kimliği.

properties.notificationHubId

string

Bu kaynağa bağlı bir Azure Notification Hub'ın kaynak kimliği.

properties.provisioningState

ProvisioningState

Kaynağın sağlama durumu.

properties.version

string

CommunicationService kaynağının sürümü. Büyük olasılıkla istemci SDK'larının aynı veya daha yüksek bir sürümüne ihtiyacınız vardır.

systemData

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

tags

object

Kaynağı açıklayan anahtar değer çiftlerinin listesi olan hizmetin etiketleri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

ProvisioningState

Kaynağın sağlama durumu.

Değer Description
Unknown
Succeeded
Failed
Canceled
Running
Creating
Updating
Deleting
Moving

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.